export const styles = {
  option: (provided, state) => ({
    border: 'none',
    color: state.isSelected ? '#ffc76d' : '#fff',
    padding: '3px 8px',
    cursor: 'pointer',
    fontSize: '16px',
    backgroundColor: 'none',
    '&:hover': {color: '#ffc76d'},
  }),
  control: (provided) => ({
    ...provided,
    width: 60,
    background: 'none',
    border: 'none',
    outline: 'none',
    boxShadow: 'none',
    fontSize: '16px',
    '&:hover': { cursor: 'pointer' },
  }),
  menu: (provided) => ({
    ...provided,
    backgroundColor: '#4dace2',
    boxShadow: "none",
    border: "none",
    margin: '0',
  }),
  singleValue: (provided) => ({
    ...provided,
    marginLeft: 0,
    transition: 'opacity 300ms',
    color: '#fff',
    '&:hover': { color: '#ffc76d', },
  }),
  dropdownIndicator: (provided) => ({
    ...provided,
    padding: 0,
    border: 'none',
    color: '#fff',
    '&:hover': { color: '#ffc76d' },
  }),
  indicatorSeparator: () => ({}),
}